package com.xhpc.user.service;

import com.xhpc.common.core.web.domain.AjaxResult;
import com.xhpc.user.domain.XhpcBlacklist;
import com.xhpc.user.domain.XhpcCustomers;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface IXhpcBlacklistService {


    List<Map<String, Object>> getList(Map<String, Object> params);

    AjaxResult addBlacklist(HttpServletRequest request, XhpcBlacklist xhpcBlacklist);

    Map<String, Object> getBlacklistById(Long blacklistId);

    void deleteBlacklistById(Long blacklistId);
}
